searchNodes=[{"doc":"A structure for Skout documents for terse descriptions of SKOS concept schemes.A Skout document consists of a graph with the description of the SKOS concept scheme and its concepts and a manifest with general settings for the YAML serialization.","ref":"Skout.Document.html","title":"Skout.Document","type":"module"},{"doc":"Adds triples to the SKOS graph of document.Note, that this might materialize some forward chained statements.Returns the updated document in an :ok tuple in success case, otherwise an :error tuple.","ref":"Skout.Document.html#add/2","title":"Skout.Document.add/2","type":"function"},{"doc":"Adds triples to the SKOS graph of document.As opposed to add/2 this returns the updated document directly or raises an exception in the error case.","ref":"Skout.Document.html#add!/2","title":"Skout.Document.add!/2","type":"function"},{"doc":"Reads a document from an RDF.Graph.You can pass in all the options mentioned in new/1 overwriting the values in the preamble.Returns the document in an :ok tuple in success case, otherwise an :error tuple.","ref":"Skout.Document.html#from_rdf/2","title":"Skout.Document.from_rdf/2","type":"function"},{"doc":"Reads a document from an RDF.Graph.As opposed to from_rdf/2 this returns the document directly or raises an exception in an error case.","ref":"Skout.Document.html#from_rdf!/2","title":"Skout.Document.from_rdf!/2","type":"function"},{"doc":"Reads a document from a YAML string.You can pass in all the options mentioned in new/1 overwriting the values in the preamble.Returns the document in an :ok tuple in success case, otherwise an :error tuple.","ref":"Skout.Document.html#from_yaml/2","title":"Skout.Document.from_yaml/2","type":"function"},{"doc":"Reads a document from a YAML string.You can pass in all the options mentioned in new/1 overwriting the values in the preamble.As opposed to from_yaml/2 this returns the document directly or raises an exception in the error case.","ref":"Skout.Document.html#from_yaml!/2","title":"Skout.Document.from_yaml!/2","type":"function"},{"doc":"Creates a new document with the given settings.The following settings for the manifest are available:base_iri: The base IRI to be used for the concepts. This is the only required setting.iri_normalization: The normalization method which is applied to the labels before they are concatenated to the base_iri. Must be one of :camelize or underscore and defaults to camelize.label_type: The SKOS label property to be used for produced labeling statements.default_language: The language-tag used for the produced labeling statements.materialization: Another struct with flag settings controlling which statements should be materialized. The following flags are available: :rdf_type, :in_scheme, :inverse_hierarchy, :inverse_related.Return the constructed document in an :ok tuple in success case, otherwise an :error tuple.","ref":"Skout.Document.html#new/1","title":"Skout.Document.new/1","type":"function"},{"doc":"Creates a new document with the given settings.As opposed to new/1 this returns the document directly or raises an exception in the error case.","ref":"Skout.Document.html#new!/1","title":"Skout.Document.new!/1","type":"function"},{"doc":"Returns the RDF graph of the SKOS concept scheme of document.Note that other than the other conversion functions this one doesn't return the result in an :ok tuple, since it can't fail.","ref":"Skout.Document.html#to_rdf/1","title":"Skout.Document.to_rdf/1","type":"function"},{"doc":"Returns the YAML serialization of document.Returns the YAML string in an :ok tuple in success case, otherwise an :error tuple.","ref":"Skout.Document.html#to_yaml/2","title":"Skout.Document.to_yaml/2","type":"function"},{"doc":"Returns the YAML serialization of document.As opposed to to_yaml/2 this returns the YAML string directly or raises an exception in an error case.","ref":"Skout.Document.html#to_yaml!/2","title":"Skout.Document.to_yaml!/2","type":"function"},{"doc":"Skout A terse, opinionated format for SKOS concept schemes as outlines in YAML.If you're looking for a way to manage huge concept schemes this won't be the right tool for you. But if you want a developer-friendly and easy solution for writing small and simple SKOS concept schemes or laying out the foundation for a larger one, this might be what you're looking for: easy to read, write and edit concept hierarchiesauto-generated boilerplate statements about concepts","ref":"readme.html","title":"Skout","type":"extras"},{"doc":"This Skout document:base: http://transport.data.gov.uk/def/vehicle-category/ concept_scheme: title: Vehicle Types creator: UK Department for Transport isDefinedBy: &lt;http://www.dft.gov.uk/matrix/forms/definitions.aspx&gt; seeAlso: &lt;https://www.jenitennison.com/2009/11/22/creating-linked-data-part-iii-defining-concept-schemes.html&gt; iri_normalization: camelize --- - Pedal cycles - All motor vehicles: - Two wheeled motor vehicles - Cars and taxis - Buses and coaches - Light vans - All HGV: - Rigid HGV: - HGVr2 - HGVr3 - HGVr4+ - Articulated HGV: - HGVa3/4 - HGVa5 - HGVa6produces these RDF statements:@prefix : &lt;http://transport.data.gov.uk/def/vehicle-category/&gt; . @prefix dct: &lt;http://purl.org/dc/terms/&gt; . @prefix rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt; . @prefix skos: &lt;http://www.w3.org/2004/02/skos/core#&gt; . : a skos:ConceptScheme ; dct:title &quot;Vehicle Types&quot; ; dct:creator &quot;UK Department for Transport&quot; ; rdfs:isDefinedBy &lt;http://www.dft.gov.uk/matrix/forms/definitions.aspx&gt; ; rdfs:seeAlso &lt;https://www.jenitennison.com/2009/11/22/creating-linked-data-part-iii-defining-concept-schemes.html&gt; ; skos:hasTopConcept :AllMotorVehicles, :PedalCycles . :AllHGV a skos:Concept ; skos:broader :AllMotorVehicles ; skos:inScheme : ; skos:narrower :ArticulatedHGV, :RigidHGV ; skos:prefLabel &quot;All HGV&quot; . :AllMotorVehicles a skos:Concept ; skos:inScheme : ; skos:narrower :AllHGV, :BusesAndCoaches, :CarsAndTaxis, :LightVans, :TwoWheeledMotorVehicles ; skos:prefLabel &quot;All motor vehicles&quot; ; skos:topConceptOf : . :ArticulatedHGV a skos:Concept ; skos:broader :AllHGV ; skos:inScheme : ; skos:narrower :HGVa34, :HGVa5, :HGVa6 ; skos:prefLabel &quot;Articulated HGV&quot; . :BusesAndCoaches a skos:Concept ; skos:broader :AllMotorVehicles ; skos:inScheme : ; skos:prefLabel &quot;Buses and coaches&quot; . :CarsAndTaxis a skos:Concept ; skos:broader :AllMotorVehicles ; skos:inScheme : ; skos:prefLabel &quot;Cars and taxis&quot; . :HGVa34 a skos:Concept ; skos:broader :ArticulatedHGV ; skos:inScheme : ; skos:prefLabel &quot;HGVa3/4&quot; . :HGVa5 a skos:Concept ; skos:broader :ArticulatedHGV ; skos:inScheme : ; skos:prefLabel &quot;HGVa5&quot; . :HGVa6 a skos:Concept ; skos:broader :ArticulatedHGV ; skos:inScheme : ; skos:prefLabel &quot;HGVa6&quot; . :HGVr2 a skos:Concept ; skos:broader :RigidHGV ; skos:inScheme : ; skos:prefLabel &quot;HGVr2&quot; . :HGVr3 a skos:Concept ; skos:broader :RigidHGV ; skos:inScheme : ; skos:prefLabel &quot;HGVr3&quot; . :HGVr4 a skos:Concept ; skos:broader :RigidHGV ; skos:inScheme : ; skos:prefLabel &quot;HGVr4+&quot; . :LightVans a skos:Concept ; skos:broader :AllMotorVehicles ; skos:inScheme : ; skos:prefLabel &quot;Light vans&quot; . :PedalCycles a skos:Concept ; skos:inScheme : ; skos:prefLabel &quot;Pedal cycles&quot; ; skos:topConceptOf : . :RigidHGV a skos:Concept ; skos:broader :AllHGV ; skos:inScheme : ; skos:narrower :HGVr2, :HGVr3, :HGVr4 ; skos:prefLabel &quot;Rigid HGV&quot; . :TwoWheeledMotorVehicles a skos:Concept ; skos:broader :AllMotorVehicles ; skos:inScheme : ; skos:prefLabel &quot;Two wheeled motor vehicles&quot; .","ref":"readme.html#example","title":"Skout - Example","type":"extras"},{"doc":"Skout is written in Elixir. This means you'll have to have Elixir installed. With that you can install the CLI as a so called escript with the following command: $ mix escript.install github marcelotto/skoutAfter installation, the escript can be invoked as$ ~/.mix/escripts/skoutFor convenience, consider adding the ~/.mix/escripts directory to your PATH environment variable.If you intend to use Skout just as a dependency of your project, you can just add the Hex package as usual to your list of dependencies in mix.exs and fetch it with mix deps.get:def deps do [ {:skout, &quot;~&gt; 0.1&quot;} ] endThe API documentation for Skout can be found here.","ref":"readme.html#installation","title":"Skout - Installation","type":"extras"},{"doc":"The main idea in Skout is to write out your concept hierarchy of narrower concepts in a YAML outline and make various assumptions for how to translate these outlines into proper RDF:All IRIs of the concepts belong to the same base IRI namespace.All IRIs of the concepts are a (configurable) normalized form of the skos:prefLabel appended to the base IRI namespace.The IRI of the concept scheme is if not otherwise specified the base IRI.All concepts belong to the same concept scheme in terms of skos:inScheme.Every concept without a skos:broader concept is a top concept of the concept scheme.Skout documentsA Skout document is a normal YAML document. It consists of an outline of the concept hierarchy as a nested map and an optional preamble as a YAML frontmatter document. The preamble contains some basic configurations and a description of the concept scheme.ConceptsAs you can see in the example above the concept hierarchy is simply a list of nested maps with the narrower hierarchy of the top concepts. The concepts are written by using their skos:preflabel. So, how are the IRIs for the concepts created? As stated in the first two assumptions above, the IRIs are concatenations of the base IRI and a normalization of the skos:prefLabel. The base IRI is the only required parameter for the translation to RDF and must be preferably provided in the preamble with the base_iri field (or its alias base) or directly given to the CLI (or the respective Elixir functions). The skos:prefLabel used in the concept hierarchy is then normalized by applying a normalization method, which can be configured with the iri_normalization field in the preamble. Currently, there are two methods available: camelize and underscore. If not specified, it defaults to camelize. If you are calling the Elixir functions, you can also pass a custom normalization function. For each concept in the concept hierarchy an rdf:type skos:Concept statement and a label statement is produced in the RDF translation. The property used for the label statement can be defined with the label_type field in the preamble. Possible values are prefLabel, which will use skos:prefLabel for the label statements and is the default, or notation for the skos:notation property. By default a plain string is used for the object of the label statement, but you can configure a language tag which should be used with the default_language field in the preamble.If you want to add an additional class (above skos:Concept) to all defined concepts, you can do so with the additional_concept_class field in the preamble.The nesting of the concepts will be translated to both skos:narrower and skos:broader statements accordingly. So, all in all, this Skout document:base_iri: http://example.com/ default_language: en iri_normalization: underscore concept_scheme: false additional_concept_class: http://other.example.com/Class --- Foo: - Bar bazwould be translated to these RDF statements:@prefix : &lt;http://example.com/&gt; . @prefix skos: &lt;http://www.w3.org/2004/02/skos/core#&gt; . :bar_baz a skos:Concept, &lt;http://other.example.com/Class&gt; ; skos:broader :foo ; skos:prefLabel &quot;Bar baz&quot;@en . :foo a skos:Concept, &lt;http://other.example.com/Class&gt; ; skos:narrower :bar_baz ; skos:prefLabel &quot;Foo&quot;@en .Concept descriptionsIt is possible to add statements about the concepts with a limited set of properties. This can be done by adding them as key value pairs under the subject concept using a known term for the properties prefixed with a colon. This is the list of known properties and the terms that must be used for them:PropertyTermskos:relatedrelatedskos:prefLabelprefLabelskos:altLabelaltLabelskos:hiddenLabelhiddenLabelskos:notationnotationskos:definitiondefinitionskos:exampleexampleskos:notenoteskos:scopeNotescopeNoteskos:changeNotechangeNoteskos:historyNotehistoryNoteskos:editorialNoteeditorialNoteskos:relatedMatchrelatedMatchskos:exactMatchexactMatchskos:closeMatchcloseMatchskos:broadMatchbroadMatchskos:narrowMatchnarrowMatchrdf:typeardfs:subClassOfsubClassOfrdfs:isDefinedByisDefinedByrdfs:seeAlsoseeAlsodct:titletitledct:creatorcreatordct:createdcreateddct:modifiedmodifiedFor the objects of statement the following you can use all of YAMLs natively supported literal forms which will be mapped to the respective RDF literals. IRIs can be written in angle brackets. If the IRI belongs to the base IRI namespace, you can also leave the base IRI part away and just write a colon instead. For properties with the rdfs:range skos:Concept you can even leave the colon away and just write the label of the concept, just as you do it in the narrower hierarchy. Multiple objects to the same property can be written by using any of the forms YAML supports for lists.Here's an example using all of the mentioned features:base_iri: http://example.com/ --- Foo: - :related: Bar - :a: [:Bar, &lt;http://example.com/Type&gt;] - :altLabel: [false, true, 3.14, 42] - :seeAlso: - &lt;http://example.com/another/Foo&gt; - &lt;http://example.com/other/Foo&gt; - Baz:This will be translated to these RDF statements:@prefix : &lt;http://example.com/&gt; . @prefix rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt; . @prefix skos: &lt;http://www.w3.org/2004/02/skos/core#&gt; . :Bar a skos:Concept ; skos:related :Foo . :Baz a skos:Concept ; skos:broader :Foo ; skos:prefLabel &quot;Baz&quot; . :Foo a :Bar, &lt;http://example.org/other/Type&gt;, skos:Concept ; rdfs:seeAlso &lt;http://example.com/another/Foo&gt;, &lt;http://example.com/other/Foo&gt; ; skos:altLabel true, 3.14, 42 ; skos:narrower :Baz ; skos:prefLabel &quot;Foo&quot; ; skos:related :Bar .As you can see, this goes against the original purpose of providing a good overview over the concept scheme. I strongly recommend to use this very sparsely. It's planned to support different kinds of blocks in a Skout documents in upcoming versions for the different parts of a SKOS concept scheme, so they can be kept clean and separated.Concept schemeIn the previous examples we disabled the production of the concept scheme by setting the concept_scheme field in the preamble to false. If you don't disable it like this and don't set it to a specific IRI to be used for the concept scheme, Skout will assume it's the same IRI as the base IRI and produce statements linking all concepts with the skos:inScheme property to the concept scheme. It will also assume all concepts without a skos:broader concept to be top-level concepts and produce respective skos:hasTopConcept and skos:topConceptOf statements.You can also make statements about the concept scheme with all of above mentioned known properties by putting them in a map as the concept_scheme value. As opposed to the descriptions in the concept hierarchy, you don't have to use the leading colon here. You can define a different IRI than the base IRI in this description form of the concept_scheme by using the id field.Let's enable the concept scheme in the example above and add a few statements:base_iri: http://example.com/ concept_scheme: id: &lt;http://example.com/foo/ConceptScheme&gt; title: Example concept scheme creator: Marcel --- Foo: - Bar bazThis will be translated now to these RDF statements:@prefix : &lt;http://example.com/&gt; . @prefix dct: &lt;http://purl.org/dc/terms/&gt; . @prefix skos: &lt;http://www.w3.org/2004/02/skos/core#&gt; . :BarBaz a skos:Concept ; skos:broader :Foo ; skos:inScheme &lt;http://example.com/foo/ConceptScheme&gt; ; skos:prefLabel &quot;Bar baz&quot; . :Foo a skos:Concept ; skos:inScheme &lt;http://example.com/foo/ConceptScheme&gt; ; skos:narrower :BarBaz ; skos:prefLabel &quot;Foo&quot; ; skos:topConceptOf &lt;http://example.com/foo/ConceptScheme&gt; . &lt;http://example.com/foo/ConceptScheme&gt; a skos:ConceptScheme ; dct:title &quot;Example concept scheme&quot; ; dct:creator &quot;Marcel&quot; ; skos:hasTopConcept :Foo .CLIIf you've followed the installation instructions above for the escript and added the escript directory to your PATH, you can use the skout command to translate Skout documents to all the RDF serializations supported by RDF.ex (for now Turtle, N-Triples, N-Quads and JSON-LD) and vice versa.$ skout input.yml output.ttl $ skout input.nt output.ymlRun skout --help to see all available options.DockerAssuming Docker and docker-compose are installed, you can avoid installing Elixir building a Docker image to run Skout in a Docker container. You can build the image using one of the following commands. It is possible customize the image tag in the command or in the docker-compose.$ docker build -t myrepository/skout .or$ docker-compose buildThe repository also contains a docker-compose configured to run the example in the examples folder. In the provided docker-compose, the examples folder is mounted as a volume, so the output file can be found there. It is possible to customize the docker-compose modifying the mounted folder and the commands executed.To run the example you can simply use the command:$ docker-compose up","ref":"readme.html#introduction","title":"Skout - Introduction","type":"extras"},{"doc":"see CONTRIBUTING for details.","ref":"readme.html#contributing","title":"Skout - Contributing","type":"extras"},{"doc":"If you need help with your Elixir and Linked Data projects, just contact info@cokron.com or visit https://www.cokron.com/kontakt","ref":"readme.html#consulting-and-partnership","title":"Skout - Consulting and Partnership","type":"extras"},{"doc":"(c) 2019-2020 Marcel Otto. MIT Licensed, see LICENSE for details.","ref":"readme.html#license-and-copyright","title":"Skout - License and Copyright","type":"extras"},{"doc":"Change LogAll notable changes to this project will be documented in this file. This project adheres to Semantic Versioning and Keep a CHANGELOG.","ref":"changelog.html","title":"Change Log","type":"extras"},{"doc":"Addednew Document configuration additional_concept_class which can be set in the preamble with a class, which every defined concept should be typed withCompare v0.1.3...v0.1.4","ref":"changelog.html#v0-1-4-2020-09-11","title":"Change Log - v0.1.4 - 2020-09-11","type":"extras"},{"doc":"Upgrade to RDF.ex 0.8Compare v0.1.2...v0.1.3","ref":"changelog.html#v0-1-3-2020-06-02","title":"Change Log - v0.1.3 - 2020-06-02","type":"extras"},{"doc":"Upgrade to RDF.ex 0.7Compare v0.1.1...v0.1.2","ref":"changelog.html#v0-1-2-2019-12-16","title":"Change Log - v0.1.2 - 2019-12-16","type":"extras"},{"doc":"Addednew Document configuration label_type which can be set in the preamble with the SKOS property to be used for producing the label statements; for now only :prefLabel (the default) and notation are allowedChangedIt's possible now to use the property which is used in the production of the label statements for the terms in the hierarchy (before always skos:prefLabel,but now also skos:notation) in the term descriptions to specify further labels of the resp. type, but beware that during simply the first one is selected as the one to be used in the hierarchy and since the objects are unordered this selection is non-deterministic.all types of SKOS labels are now supported for concept schemes; previously skos:prefLabel wasn't Compare v0.1.0...v0.1.1","ref":"changelog.html#v0-1-1-2019-09-12","title":"Change Log - v0.1.1 - 2019-09-12","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0-2019-09-09","title":"Change Log - v0.1.0 - 2019-09-09","type":"extras"}]